commit:     7179568e7aee7437ac2b20e8c8521f5c58bbe5d3
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 29 11:15:10 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Dec 29 11:23:03 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7179568e

media-libs/gexiv2: 0.10.9 version bump, EAPI-7 bump

Cleanup and sort DEPENDs
Drop obsolete eclass

Closes: https://bugs.gentoo.org/673722
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-libs/gexiv2/Manifest             |  1 +
 media-libs/gexiv2/gexiv2-0.10.9.ebuild | 69 ++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/media-libs/gexiv2/Manifest b/media-libs/gexiv2/Manifest
index 826c429aa40..01458e8b3ec 100644
--- a/media-libs/gexiv2/Manifest
+++ b/media-libs/gexiv2/Manifest
@@ -1 +1,2 @@
 DIST gexiv2-0.10.8.tar.xz 634696 BLAKE2B 
182cda3bac5b3211e5ef8267628a86cc496c0242f25c5cd94ed9eab81c7460022373f3bb794c976fd0b9a10e49f9ca7109521ac6f99bbe7a4e0306a31db899da
 SHA512 
4c25cf6884495151947a70e62a096f3279223673bece4d4ff02720b2820aaad9e80c8715e02bf46c3f5598f582fdf07b4b3ddabd017d53001245e3381a4cc286
+DIST gexiv2-0.10.9.tar.xz 380348 BLAKE2B 
6e1479f1a4ac74f622f71eb554c42a5170091d6b1b790962ef415eab4b2528dececa2f2f7147cc662fa00503ec66766294f7efd9401bae4771e72c56724398ec
 SHA512 
40683ce341c5eb09ad67a4a25ad14a791247a5b5f459acba424815e98d5797b0a7fb338fb4d4f1c234147c9268abe34570698fd4259cb80f7f7af76af0f0fba3

diff --git a/media-libs/gexiv2/gexiv2-0.10.9.ebuild 
b/media-libs/gexiv2/gexiv2-0.10.9.ebuild
new file mode 100644
index 00000000000..02c3359c1ca
--- /dev/null
+++ b/media-libs/gexiv2/gexiv2-0.10.9.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+MY_PV=$(ver_cut 1-2)
+inherit autotools python-r1 toolchain-funcs vala xdg-utils
+
+DESCRIPTION="GObject-based wrapper around the Exiv2 library"
+HOMEPAGE="https://wiki.gnome.org/Projects/gexiv2";
+SRC_URI="mirror://gnome/sources/${PN}/${MY_PV}/${P}.tar.xz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~amd64-fbsd"
+IUSE="introspection python static-libs test vala"
+
+REQUIRED_USE="
+       python? ( introspection ${PYTHON_REQUIRED_USE} )
+       test? ( python introspection )
+       vala? ( introspection )
+"
+
+RDEPEND="${PYTHON_DEPS}
+       dev-libs/glib:2
+       media-gfx/exiv2:=
+       introspection? ( dev-libs/gobject-introspection:= )
+       vala? ( $(vala_depend) )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-libs/gobject-introspection-common
+       virtual/pkgconfig
+       test? (
+               dev-python/pygobject
+               media-gfx/exiv2[xmp]
+       )
+"
+
+src_prepare() {
+       xdg_environment_reset
+       tc-export CXX
+       use vala && vala_src_prepare
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_enable introspection) \
+               $(use_enable static-libs static) \
+               $(use_enable vala)
+}
+
+src_install() {
+       emake DESTDIR="${D}" LIB="$(get_libdir)" install
+       einstalldocs
+
+       if use python ; then
+               python_moduleinto gi/overrides/
+               python_foreach_impl python_domodule GExiv2.py
+       fi
+
+       if ! use static-libs; then
+               find "${D}" -name '*.la' -delete || die
+       fi
+}

Reply via email to